#pragma once

#include "CoreMinimal.h"
#include "TierInfoData.h"
#include "ChallengeRewardTrackerData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeRewardTrackerData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString PassLinkToTomeId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool PassLinkToTomeId_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FTierInfoData> TierInfo;

public:
	DEADBYDAYLIGHT_API FChallengeRewardTrackerData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeRewardTrackerData) { return 0; }
